Subject: Re: [Sip] Certificate authentication in SIP

From: "Vijay K. Gurbani" <[email-masked]>
Date: Fri, 29 Jun 2007 09:37:18 -0500

Sumanth Channabasappa wrote:
> And if we find that certificates need some work to support this
> initiative (e.g., SIP identifiers as subjects), perhaps we can
> present some of those requirements to other WGs. If we find an
> existing solutions that can be used, good (and we can document them
> as such :) ).

Scott Lawrence and I have spent some time on this issue, i.e.,
SIP identifiers as subjects in X.509 certificates.  The latest
version of the draft that includes pkix WG comments from Prague
and the comments of the sip WG ADs and others was posted
last week to the archives, and is available at
http://tools.ietf.org/html/draft-gurbani-sip-domain-certs-05

Comments on this version would be extremely helpful.

Thanks.

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs

---

From: Scott Lawrence <[email-masked]>
Date: Fri, 29 Jun 2007 14:32:15 -0400

> http://tools.ietf.org/html/draft-gurbani-sip-domain-certs-05

One qualification - the draft above is limited to certificates as whose
subject is a SIP domain - not an individual.  The goal is to clarify how
such certificates are constructed and constrained, and how they should
be used to authenticate that a server is authoritative for a domain.

-- 
Scott Lawrence  tel:+1-781-938-5306;ext=162 or sip:[email-masked]
  sipXecs project coordinator - SIPfoundry http://www.sipfoundry.org/sipXecs
  Chief Technology Officer    - Pingtel Corp. http://www.pingtel.com/